=== examples/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dreibh/src/neat/neat

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dreibh/src/neat/neat

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool for source..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/dreibh/src/neat/neat/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles /home/dreibh/src/neat/neat/examples//CMakeFiles/progress.marks
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
examples/CMakeFiles/client_dtls_echo.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client_dtls_echo.dir/rule
.PHONY : examples/CMakeFiles/client_dtls_echo.dir/rule

# Convenience name for target.
client_dtls_echo: examples/CMakeFiles/client_dtls_echo.dir/rule
.PHONY : client_dtls_echo

# fast build rule for target.
client_dtls_echo/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client_dtls_echo.dir/build.make examples/CMakeFiles/client_dtls_echo.dir/build
.PHONY : client_dtls_echo/fast

# Convenience name for target.
examples/CMakeFiles/server_dtls_echo.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_dtls_echo.dir/rule
.PHONY : examples/CMakeFiles/server_dtls_echo.dir/rule

# Convenience name for target.
server_dtls_echo: examples/CMakeFiles/server_dtls_echo.dir/rule
.PHONY : server_dtls_echo

# fast build rule for target.
server_dtls_echo/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/server_dtls_echo.dir/build.make examples/CMakeFiles/server_dtls_echo.dir/build
.PHONY : server_dtls_echo/fast

# Convenience name for target.
examples/CMakeFiles/client.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client.dir/rule
.PHONY : examples/CMakeFiles/client.dir/rule

# Convenience name for target.
client: examples/CMakeFiles/client.dir/rule
.PHONY : client

# fast build rule for target.
client/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client.dir/build.make examples/CMakeFiles/client.dir/build
.PHONY : client/fast

# Convenience name for target.
examples/CMakeFiles/client_data.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client_data.dir/rule
.PHONY : examples/CMakeFiles/client_data.dir/rule

# Convenience name for target.
client_data: examples/CMakeFiles/client_data.dir/rule
.PHONY : client_data

# fast build rule for target.
client_data/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client_data.dir/build.make examples/CMakeFiles/client_data.dir/build
.PHONY : client_data/fast

# Convenience name for target.
examples/CMakeFiles/client_http_get.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client_http_get.dir/rule
.PHONY : examples/CMakeFiles/client_http_get.dir/rule

# Convenience name for target.
client_http_get: examples/CMakeFiles/client_http_get.dir/rule
.PHONY : client_http_get

# fast build rule for target.
client_http_get/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client_http_get.dir/build.make examples/CMakeFiles/client_http_get.dir/build
.PHONY : client_http_get/fast

# Convenience name for target.
examples/CMakeFiles/client_http_run_once.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client_http_run_once.dir/rule
.PHONY : examples/CMakeFiles/client_http_run_once.dir/rule

# Convenience name for target.
client_http_run_once: examples/CMakeFiles/client_http_run_once.dir/rule
.PHONY : client_http_run_once

# fast build rule for target.
client_http_run_once/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client_http_run_once.dir/build.make examples/CMakeFiles/client_http_run_once.dir/build
.PHONY : client_http_run_once/fast

# Convenience name for target.
examples/CMakeFiles/server_chargen.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_chargen.dir/rule
.PHONY : examples/CMakeFiles/server_chargen.dir/rule

# Convenience name for target.
server_chargen: examples/CMakeFiles/server_chargen.dir/rule
.PHONY : server_chargen

# fast build rule for target.
server_chargen/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/server_chargen.dir/build.make examples/CMakeFiles/server_chargen.dir/build
.PHONY : server_chargen/fast

# Convenience name for target.
examples/CMakeFiles/server_daytime.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_daytime.dir/rule
.PHONY : examples/CMakeFiles/server_daytime.dir/rule

# Convenience name for target.
server_daytime: examples/CMakeFiles/server_daytime.dir/rule
.PHONY : server_daytime

# fast build rule for target.
server_daytime/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/server_daytime.dir/build.make examples/CMakeFiles/server_daytime.dir/build
.PHONY : server_daytime/fast

# Convenience name for target.
examples/CMakeFiles/server_discard.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_discard.dir/rule
.PHONY : examples/CMakeFiles/server_discard.dir/rule

# Convenience name for target.
server_discard: examples/CMakeFiles/server_discard.dir/rule
.PHONY : server_discard

# fast build rule for target.
server_discard/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/server_discard.dir/build.make examples/CMakeFiles/server_discard.dir/build
.PHONY : server_discard/fast

# Convenience name for target.
examples/CMakeFiles/server_echo.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_echo.dir/rule
.PHONY : examples/CMakeFiles/server_echo.dir/rule

# Convenience name for target.
server_echo: examples/CMakeFiles/server_echo.dir/rule
.PHONY : server_echo
