=== socketapi/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dreibh/src/neat/neat

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dreibh/src/neat/neat

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool for source..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/dreibh/src/neat/neat/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles /home/dreibh/src/neat/neat/socketapi//CMakeFiles/progress.marks
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
socketapi/CMakeFiles/neat-socketapi.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/CMakeFiles/neat-socketapi.dir/rule
.PHONY : socketapi/CMakeFiles/neat-socketapi.dir/rule

# Convenience name for target.
neat-socketapi: socketapi/CMakeFiles/neat-socketapi.dir/rule
.PHONY : neat-socketapi

# fast build rule for target.
neat-socketapi/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/build
.PHONY : neat-socketapi/fast

# Convenience name for target.
socketapi/CMakeFiles/neat-socketapi-static.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/CMakeFiles/neat-socketapi-static.dir/rule
.PHONY : socketapi/CMakeFiles/neat-socketapi-static.dir/rule

# Convenience name for target.
neat-socketapi-static: socketapi/CMakeFiles/neat-socketapi-static.dir/rule
.PHONY : neat-socketapi-static

# fast build rule for target.
neat-socketapi-static/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/build
.PHONY : neat-socketapi-static/fast

# Convenience name for target.
socketapi/CMakeFiles/t2.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/CMakeFiles/t2.dir/rule
.PHONY : socketapi/CMakeFiles/t2.dir/rule

# Convenience name for target.
t2: socketapi/CMakeFiles/t2.dir/rule
.PHONY : t2

# fast build rule for target.
t2/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/t2.dir/build.make socketapi/CMakeFiles/t2.dir/build
.PHONY : t2/fast

eventsignal.o: eventsignal.c.o
.PHONY : eventsignal.o

# target to build an object file
eventsignal.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/eventsignal.c.o
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/eventsignal.c.o
.PHONY : eventsignal.c.o

eventsignal.i: eventsignal.c.i
.PHONY : eventsignal.i

# target to preprocess a source file
eventsignal.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/eventsignal.c.i
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/eventsignal.c.i
.PHONY : eventsignal.c.i

eventsignal.s: eventsignal.c.s
.PHONY : eventsignal.s

# target to generate assembly for a file
eventsignal.c.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/eventsignal.c.s
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/eventsignal.c.s
.PHONY : eventsignal.c.s

identifierbitmap.o: identifierbitmap.c.o
.PHONY : identifierbitmap.o

# target to build an object file
identifierbitmap.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/identifierbitmap.c.o
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/identifierbitmap.c.o
.PHONY : identifierbitmap.c.o

identifierbitmap.i: identifierbitmap.c.i
.PHONY : identifierbitmap.i

# target to preprocess a source file
identifierbitmap.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/identifierbitmap.c.i
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/identifierbitmap.c.i
.PHONY : identifierbitmap.c.i

identifierbitmap.s: identifierbitmap.c.s
.PHONY : identifierbitmap.s

# target to generate assembly for a file
identifierbitmap.c.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/identifierbitmap.c.s
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/identifierbitmap.c.s
.PHONY : identifierbitmap.c.s

neat-socketapi-file.o: neat-socketapi-file.c.o
.PHONY : neat-socketapi-file.o

# target to build an object file
neat-socketapi-file.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/neat-socketapi-file.c.o
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/neat-socketapi-file.c.o
.PHONY : neat-socketapi-file.c.o

neat-socketapi-file.i: neat-socketapi-file.c.i
.PHONY : neat-socketapi-file.i

# target to preprocess a source file
neat-socketapi-file.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/neat-socketapi-file.c.i
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/neat-socketapi-file.c.i
