=== tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dreibh/src/neat/neat

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dreibh/src/neat/neat

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool for source..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/dreibh/src/neat/neat/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles /home/dreibh/src/neat/neat/tests//CMakeFiles/progress.marks
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/CMakeFiles/neat_resolver_example.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/CMakeFiles/neat_resolver_example.dir/rule
.PHONY : tests/CMakeFiles/neat_resolver_example.dir/rule

# Convenience name for target.
neat_resolver_example: tests/CMakeFiles/neat_resolver_example.dir/rule
.PHONY : neat_resolver_example

# fast build rule for target.
neat_resolver_example/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/neat_resolver_example.dir/build.make tests/CMakeFiles/neat_resolver_example.dir/build
.PHONY : neat_resolver_example/fast

# Convenience name for target.
tests/CMakeFiles/test_close.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/CMakeFiles/test_close.dir/rule
.PHONY : tests/CMakeFiles/test_close.dir/rule

# Convenience name for target.
test_close: tests/CMakeFiles/test_close.dir/rule
.PHONY : test_close

# fast build rule for target.
test_close/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/test_close.dir/build.make tests/CMakeFiles/test_close.dir/build
.PHONY : test_close/fast

neat_resolver_example.o: neat_resolver_example.c.o
.PHONY : neat_resolver_example.o

# target to build an object file
neat_resolver_example.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/neat_resolver_example.dir/build.make tests/CMakeFiles/neat_resolver_example.dir/neat_resolver_example.c.o
.PHONY : neat_resolver_example.c.o

neat_resolver_example.i: neat_resolver_example.c.i
.PHONY : neat_resolver_example.i

# target to preprocess a source file
neat_resolver_example.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/neat_resolver_example.dir/build.make tests/CMakeFiles/neat_resolver_example.dir/neat_resolver_example.c.i
.PHONY : neat_resolver_example.c.i

neat_resolver_example.s: neat_resolver_example.c.s
.PHONY : neat_resolver_example.s

# target to generate assembly for a file
neat_resolver_example.c.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/neat_resolver_example.dir/build.make tests/CMakeFiles/neat_resolver_example.dir/neat_resolver_example.c.s
.PHONY : neat_resolver_example.c.s

test_close.o: test_close.c.o
.PHONY : test_close.o

# target to build an object file
test_close.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/test_close.dir/build.make tests/CMakeFiles/test_close.dir/test_close.c.o
.PHONY : test_close.c.o

test_close.i: test_close.c.i
.PHONY : test_close.i

# target to preprocess a source file
test_close.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/test_close.dir/build.make tests/CMakeFiles/test_close.dir/test_close.c.i
.PHONY : test_close.c.i

test_close.s: test_close.c.s
.PHONY : test_close.s

# target to generate assembly for a file
test_close.c.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/test_close.dir/build.make tests/CMakeFiles/test_close.dir/test_close.c.s
.PHONY : test_close.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... neat_resolver_example"
	@echo "... test_close"
	@echo "... neat_resolver_example.o"
	@echo "... neat_resolver_example.i"
	@echo "... neat_resolver_example.s"
	@echo "... test_close.o"
	@echo "... test_close.i"
	@echo "... test_close.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
