=== socketapi/examples/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dreibh/src/neat/neat

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dreibh/src/neat/neat

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool for source..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/dreibh/src/neat/neat/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles /home/dreibh/src/neat/neat/socketapi/examples//CMakeFiles/progress.marks
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
socketapi/examples/CMakeFiles/httpget.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/CMakeFiles/httpget.dir/rule
.PHONY : socketapi/examples/CMakeFiles/httpget.dir/rule

# Convenience name for target.
httpget: socketapi/examples/CMakeFiles/httpget.dir/rule
.PHONY : httpget

# fast build rule for target.
httpget/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpget.dir/build.make socketapi/examples/CMakeFiles/httpget.dir/build
.PHONY : httpget/fast

# Convenience name for target.
socketapi/examples/CMakeFiles/httpserver1.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/CMakeFiles/httpserver1.dir/rule
.PHONY : socketapi/examples/CMakeFiles/httpserver1.dir/rule

# Convenience name for target.
httpserver1: socketapi/examples/CMakeFiles/httpserver1.dir/rule
.PHONY : httpserver1

# fast build rule for target.
httpserver1/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver1.dir/build.make socketapi/examples/CMakeFiles/httpserver1.dir/build
.PHONY : httpserver1/fast

# Convenience name for target.
socketapi/examples/CMakeFiles/httpserver2-select.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/CMakeFiles/httpserver2-select.dir/rule
.PHONY : socketapi/examples/CMakeFiles/httpserver2-select.dir/rule

# Convenience name for target.
httpserver2-select: socketapi/examples/CMakeFiles/httpserver2-select.dir/rule
.PHONY : httpserver2-select

# fast build rule for target.
httpserver2-select/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-select.dir/build.make socketapi/examples/CMakeFiles/httpserver2-select.dir/build
.PHONY : httpserver2-select/fast

# Convenience name for target.
socketapi/examples/CMakeFiles/httpserver2-threads.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/CMakeFiles/httpserver2-threads.dir/rule
.PHONY : socketapi/examples/CMakeFiles/httpserver2-threads.dir/rule

# Convenience name for target.
httpserver2-threads: socketapi/examples/CMakeFiles/httpserver2-threads.dir/rule
.PHONY : httpserver2-threads

# fast build rule for target.
httpserver2-threads/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-threads.dir/build.make socketapi/examples/CMakeFiles/httpserver2-threads.dir/build
.PHONY : httpserver2-threads/fast

httpget.o: httpget.cc.o
.PHONY : httpget.o

# target to build an object file
httpget.cc.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpget.dir/build.make socketapi/examples/CMakeFiles/httpget.dir/httpget.cc.o
.PHONY : httpget.cc.o

httpget.i: httpget.cc.i
.PHONY : httpget.i

# target to preprocess a source file
httpget.cc.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpget.dir/build.make socketapi/examples/CMakeFiles/httpget.dir/httpget.cc.i
.PHONY : httpget.cc.i

httpget.s: httpget.cc.s
.PHONY : httpget.s

# target to generate assembly for a file
httpget.cc.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpget.dir/build.make socketapi/examples/CMakeFiles/httpget.dir/httpget.cc.s
.PHONY : httpget.cc.s

httpserver1.o: httpserver1.cc.o
.PHONY : httpserver1.o

# target to build an object file
httpserver1.cc.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver1.dir/build.make socketapi/examples/CMakeFiles/httpserver1.dir/httpserver1.cc.o
.PHONY : httpserver1.cc.o

httpserver1.i: httpserver1.cc.i
.PHONY : httpserver1.i

# target to preprocess a source file
httpserver1.cc.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver1.dir/build.make socketapi/examples/CMakeFiles/httpserver1.dir/httpserver1.cc.i
.PHONY : httpserver1.cc.i

httpserver1.s: httpserver1.cc.s
.PHONY : httpserver1.s

# target to generate assembly for a file
httpserver1.cc.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver1.dir/build.make socketapi/examples/CMakeFiles/httpserver1.dir/httpserver1.cc.s
.PHONY : httpserver1.cc.s

httpserver2-select.o: httpserver2-select.cc.o
.PHONY : httpserver2-select.o

# target to build an object file
httpserver2-select.cc.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-select.dir/build.make socketapi/examples/CMakeFiles/httpserver2-select.dir/httpserver2-select.cc.o
.PHONY : httpserver2-select.cc.o

httpserver2-select.i: httpserver2-select.cc.i
.PHONY : httpserver2-select.i

# target to preprocess a source file
httpserver2-select.cc.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-select.dir/build.make socketapi/examples/CMakeFiles/httpserver2-select.dir/httpserver2-select.cc.i
.PHONY : httpserver2-select.cc.i

httpserver2-select.s: httpserver2-select.cc.s
.PHONY : httpserver2-select.s

# target to generate assembly for a file
httpserver2-select.cc.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-select.dir/build.make socketapi/examples/CMakeFiles/httpserver2-select.dir/httpserver2-select.cc.s
.PHONY : httpserver2-select.cc.s

httpserver2-threads.o: httpserver2-threads.cc.o
.PHONY : httpserver2-threads.o

# target to build an object file
httpserver2-threads.cc.o:
