=== debian/changelog ===
libneat (1.0.9-1ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Closes: #1005918 (ITP).

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 10 Dec 2025 10:47:05 +0100

libneat (1.0.8-1ubuntu1) oracular; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <dreibh@simula.no>  Fri, 11 Jul 2025 09:14:46 +0200

libneat (1.0.7-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Sat, 14 Dec 2024 16:25:10 +0100

libneat (1.0.6-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Sat, 14 Dec 2024 15:51:55 +0100

libneat (1.0.5-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 06 Dec 2023 17:26:50 +0100

libneat (1.0.4-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 08 Feb 2023 11:46:38 +0100

libneat (1.0.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Thu, 17 Feb 2022 14:12:37 +0100

libneat (1.0.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 16 Feb 2022 13:28:43 +0100

libneat (1.0.1-1ubuntu1) focal; urgency=medium

  * Non-maintainer upload (NMU).
  * Initial release.
  * debian/control: Updated standards version to 4.4.1.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Dec 2019 15:50:05 +0100

libneat (1.0.0-1ubuntu1) eoan; urgency=medium

  * Non-maintainer upload (NMU).
  * Initial release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 23 Aug 2019 13:02:18 +0200
