=== debian/control ===
Source: libneat
Maintainer: Thomas Dreibholz <dreibh@simula.no>
Section: net
Priority: optional
Homepage: https://github.com/NEAT-project/neat
Vcs-Git: https://github.com/NEAT-project/neat.git
Vcs-Browser: https://github.com/NEAT-project/neat
Build-Depends: cmake,
               debhelper-compat (= 13),
               libjansson-dev,
               libldns-dev,
               libmnl-dev,
               libsctp-dev,
               libssl-dev,
               libuv1-dev (>= 1.0.2),
               python3-dev (>= 3.7) | python3.7-dev,
               swig
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libneat1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: NEAT Core API
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the shared library for the NEAT Core API.

Package: libneat-dev
Section: libdevel
Architecture: any
Depends: libneat1 (= ${binary:Version}),
         libuv1-dev (>= 1.0.2),
         ${misc:Depends}
Description: NEAT Core API Development Files
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the development files for the NEAT Core API.

Package: libneat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: NEAT Core API Documentation
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the common documentation.

Package: libneat-examples
Architecture: any
Depends: libneat1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: NEAT Core API Examples
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the built examples for the NEAT Core API.

Package: libneat-socketapi1
Section: libs
Architecture: any
Depends: libneat1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: NEAT Sockets API
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the shared library for the NEAT Sockets API.

Package: libneat-socketapi-dev
Section: libdevel
Architecture: any
Depends: libneat-dev (= ${binary:Version}),
         libneat-socketapi1 (= ${binary:Version}),
         ${misc:Depends}
Description: NEAT Sockets API Development Files
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the development files for the NEAT Sockets API.

Package: libneat-socketapi-examples
Architecture: any
Depends: libneat1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: NEAT Sockets API Examples
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the built examples for the NEAT Sockets API.
