=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://packages.nntb.no/software/libneat  libneat-(.*)\.tar\.xz
